APT-EXTRACTTEMPLATE(1)

NAME
apt-extracttemplates - Hulpprogramma om configuratie-informatie en sjablonen voor debconf uit Debian-pakketten te extraheren

SAMENVATTING

apt-extracttemplates [-t=tijdelijke_map] bestandsnaam... {-v | --version} {-h | --help}

OMSCHRIJVING

apt-extracttemplates gebruikt een of meer pakketbestanden van Debian als invoer en schrijft (naar een tijdelijke map) alle ermee verband houdende configuratiescripts en sjabloonbestanden weg. Voor elk verwerkt pakket dat configuratiescripts en sjablonen bevat wordt een regel met uitvoer aangemaakt volgens de indeling:

pakketversie sjabloonbestand configuratiescript

sjabloonbestand en configuratiescript worden opgeslagen in de tijdelijke map die opgegeven werd met de optie -t of --tempdir (APT::ExtractTemplates::TempDir) in bestandsnamen met de vorm package.template.XXXXXX en package.config.XXXXXX

OPTIES

Alle commandoregelopties kunnen via het configuratiebestand ingesteld worden. de omschrijving geeft de in te stellen configuratieoptie op. Bij booleaanse opties kunt u instellingen uit het configuratiebestand overschrijven door iets te gebruiken als -f-, --no-f, -f=no en meerdere andere variaties.

-t, --tempdir
    Tijdelijke map om er geëxtraheerde sjabloonbestanden en configuratiescripts voor debconf in op te slaan. Configuratie-item: APT::ExtractTemplates::TempDir

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

--audit
    Controle- (en kennisgevings)berichten tonen. Dit heeft voorrang op de optie quiet, maar alleen voor waarschuwingsberichten, niet voor voortgangsberichten.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

--cli-versie
    Vraagt om een specifieke CLI-versie. Dit is een patroon dat een MAJOR.MINOR-versie gebruikt. U kunt de MINOR-versie weglaten, in welk geval de nieuwste ondersteunde minor-versie wordt gebruikt.

    Versietracks worden als volgt weergegeven: Versie 3.2 heeft equivalente versies 0.32, 1.22 en 2.12, waarin nieuwe functies voor de gespecificeerde hoofdversies zijn geïmplementeerd.

    Een speciaal geval is het X.9-versiepatroon: op een versie als 2.9 volgt 3.0, maar 2.10 volgt direct op 2.8, aangezien we oneven versienummers gebruiken als ontwikkelingsserie (2.9 is de ontwikkelingsserie van 3.0).

    Deze functie is geïntroduceerd in APT 3.1.10 en vervangt de binair-specifieke configuratie. U kunt de optie APT::Version gebruiken voor een soortgelijk effect op oudere binaire bestanden, bijvoorbeeld door -o APT::Version=2 te gebruiken om apt(8) te laten werken als in de 2.x-serie.

    De standaardwaarde is de huidige APT-versie voor apt(8) en 0.(10 * major + minor) voor de klassieke commando's. De 0.X-serie is zachtjes afgeschreven en de andere commando's zullen in de toekomst worden omgezet naar de 2.x-serie.

--no-color, --color
    Kleur aan- of uitzetten. Kleur staat standaard aan voor apt(8) op ondersteunde terminals en kan ook uitgezet worden met de omgevingsvariabelen NO_COLOR en APT_NO_COLOR, of verder geconfigureerd worden met de configuratieoptie en -scope APT::Color; zie apt.conf(5) voor informatie hierover.

ZIE OOK

apt.conf(5)

DIAGNOSTIEK

apt-extracttemplates geeft de terugkeerwaarde nul bij een normaal verlopen operatie, het decimaal getal 100 in geval van een fout.

BUGS

APT bugpagina[1]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Jason Gunthorpe

APT-team

OPMERKINGEN

1.  APT bugpagina
    https://bugs.debian.org/src:apt